View Issue Details

IDProjectCategoryView StatusLast Update
0000841XdebugUncategorizedpublic2012-05-29 07:47
Reporteramokryshev Assigned Toderick  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformIntel x86OSWindowsOS Version7 Ultimate
Product Version2.2.0 
Fixed in Version2.2.1 
Summary0000841: xdebug + netbeans + MySQLi => java.net.SocketException: Connection reset
Description
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database\mysqli.php -> file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\index.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\index.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database\mysqli.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database\mysqli.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/application_top.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\application_top.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\index.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database\mysqli.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database\mysqli.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\classes\database.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/application_top.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\includes\application_top.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\testshop\index.php
INFO [org.netbeans.modules.php.dbgp.DebugSession]
java.net.SocketException: Connection reset
    at java.net.SocketInputStream.read(SocketInputStream.java:189)
    at java.net.SocketInputStream.read(SocketInputStream.java:121)
    at java.net.SocketInputStream.read(SocketInputStream.java:203)
    at org.netbeans.modules.php.dbgp.packets.DbgpMessage.getDataSize(DbgpMessage.java:294)
    at org.netbeans.modules.php.dbgp.packets.DbgpMessage.create(DbgpMessage.java:126)
    at org.netbeans.modules.php.dbgp.DebugSession.receiveData(DebugSession.java:265)
    at org.netbeans.modules.php.dbgp.DebugSession.sendCommands(DebugSession.java:213)
[catch] at org.netbeans.modules.php.dbgp.DebugSession.run(DebugSession.java:143)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
    at java.util.concurrent.FutureTask.run(FutureTask.java:166)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
    at java.lang.Thread.run(Thread.java:722)

and with xdebug log tail:

<- context_get -i 55 -c 0
Log opened at 2012-05-21 14:28:53
I: Connecting to configured address/port: 127.0.0.1:9000.
E: Could not connect to client. :-(
Log closed at 2012-05-21 14:28:54

Log opened at 2012-05-21 14:28:55
I: Connecting to configured address/port: 127.0.0.1:9000.
E: Could not connect to client. :-(
Log closed at 2012-05-21 14:28:56


full log in attachment

best regards, Alexander
TagsNo tags attached.
Operating System
PHP Version5.4.3

Activities

amokryshev

2012-05-21 14:42

reporter  

xdebug.log (45,599 bytes)   
Log opened at 2012-05-21 14:28:43
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" language="PHP" protocol_version="1.0" appid="3512" idekey="netbeans-xdebug"><engine version="2.2.0"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2012 by Derick Rethans]]></copyright></init>

<- feature_set -i 27 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="27" feature="show_hidden" success="1"></response>

<- feature_set -i 28 -n max_depth -v 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="28" feature="max_depth" success="1"></response>

<- feature_set -i 29 -n max_children -v 30
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="29" feature="max_children" success="1"></response>

<- feature_get -i 30 -n max_data
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="30" feature_name="max_data" supported="1"><![CDATA[1024]]></response>

<- breakpoint_set -i 31 -t line -s enabled -f file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/application_top.php -n 103
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="31" state="enabled" id="35120001"></response>

<- breakpoint_set -i 32 -t line -s enabled -f file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/products.php -n 19
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="32" state="enabled" id="35120002"></response>

<- breakpoint_set -i 33 -t line -s enabled -f file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php -n 23
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="33" state="enabled" id="35120003"></response>

<- breakpoint_set -i 34 -t line -s enabled -f file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php -n 37
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="34" state="enabled" id="35120004"></response>

<- stdout -i 35 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="35" success="1"></response>

<- eval -i 36 -- KGlzc2V0KCRfU0VSVkVSWydTU0wnXSkgPyAnaHR0cHMnIDogJ2h0dHAnKS4nOi8vJy4kX1NFUlZF

UlsnU0VSVkVSX05BTUUnXS4kX1NFUlZFUlsnUkVRVUVTVF9VUkknXQ==
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="36"><property address="35977776" type="string" size="72" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsaG9zdC90ZXN0c2hvcC9pbmRleC5waHA/WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property></response>

<- step_into -i 37
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="37" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="15"></xdebug:message></response>

<- stack_get -i 38
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="38"><stack where="{main}" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="15"></stack></response>

<- context_names -i 39
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="39"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 40 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="40" context="0"><property name="$osC_Language" fullname="$osC_Language" type="uninitialized"></property><property name="$osC_Template" fullname="$osC_Template" type="uninitialized"></property></response>

<- context_get -i 41 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="41" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="38184032" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="language" fullname="$_COOKIE[&#39;language&#39;]" address="38184376" type="string" size="5" encoding="base64"><![CDATA[cnVfUlU=]]></property></property><property name="$_ENV" fullname="$_ENV" address="38184696" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_FILES" fullname="$_FILES" address="38184560" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_GET" fullname="$_GET" address="38183040" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_POST" fullname="$_POST" address="38183312" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_REQUEST" fullname="$_REQUEST" address="38184832" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="38185080" type="array" children="1" numchildren="31" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="38185392" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="38185776" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="38186104" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="38186424" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="38186656" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="38186896" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="38187128" type="string" size="14" encoding="base64"><![CDATA[bGFuZ3VhZ2U9cnVfUlU=]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="38187720" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="38188016" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="38188264" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="38188568" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="38188768" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="38189000" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="38189264" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="38189496" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="38189720" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="38190064" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="38190424" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="38190720" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="38190992" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="38191184" type="string" size="62" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcy90ZXN0c2hvcC9pbmRleC5waHA=]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="38191400" type="string" size="5" encoding="base64"><![CDATA[NTA3NTE=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="38191648" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="38191856" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="38192080" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="38192368" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="38192696" type="string" size="56" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocD9YREVCVUdfU0VTU0lPTl9TVEFSVD1uZXRiZWFucy14ZGVidWc=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="38192936" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="38193176" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="38193296" type="float"><![CDATA[1337610523.172]]></property></property></response>

<- step_into -i 42
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="42" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="17"></xdebug:message></response>

<- stack_get -i 43
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="43"><stack where="{main}" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="17"></stack></response>

<- context_names -i 44
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="44"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 45 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="45" context="0"><property name="$osC_Language" fullname="$osC_Language" type="uninitialized"></property><property name="$osC_Template" fullname="$osC_Template" type="uninitialized"></property></response>

<- context_get -i 46 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="46" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="38184032" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="language" fullname="$_COOKIE[&#39;language&#39;]" address="38184376" type="string" size="5" encoding="base64"><![CDATA[cnVfUlU=]]></property></property><property name="$_ENV" fullname="$_ENV" address="38184696" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_FILES" fullname="$_FILES" address="38184560" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_GET" fullname="$_GET" address="38183040" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_POST" fullname="$_POST" address="38183312" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_REQUEST" fullname="$_REQUEST" address="38184832" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="38203184" type="array" children="1" numchildren="31" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="38185392" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="38185776" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="38186104" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="38186424" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="38186656" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="38186896" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="38187128" type="string" size="14" encoding="base64"><![CDATA[bGFuZ3VhZ2U9cnVfUlU=]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="38187720" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="38188016" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="38188264" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="38188568" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="38188768" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="38189000" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="38189264" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="38189496" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="38189720" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="38190064" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="38190424" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="38190720" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="38190992" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="38203216" type="string" size="62" encoding="base64"><![CDATA[QzpcVXNlcnNcQU1va3J5c2hldlxEb2N1bWVudHNcYXBhY2hlXGh0ZG9jc1x0ZXN0c2hvcFxpbmRleC5waHA=]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="38191400" type="string" size="5" encoding="base64"><![CDATA[NTA3NTE=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="38191648" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="38191856" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="38192080" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="38192368" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="38192696" type="string" size="56" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocD9YREVCVUdfU0VTU0lPTl9TVEFSVD1uZXRiZWFucy14ZGVidWc=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="38192936" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="38193176" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="38193296" type="float"><![CDATA[1337610523.172]]></property></property></response>

<- run -i 47
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="47" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="37"></xdebug:message></response>

<- stack_get -i 48
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="48"><stack where="osC_Database_mysqli-&gt;connect" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="37"></stack><stack where="osC_Database_mysqli-&gt;__construct" level="1" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="26"></stack><stack where="osC_Database::connect" level="2" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database.php" lineno="36"></stack><stack where="require" level="3" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/application_top.php" lineno="75"></stack><stack where="{main}" level="4" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="17"></stack></response>

<- context_names -i 49
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="49"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 50 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="50" context="0"><property name="$connect_function" fullname="$connect_function" address="38405288" type="string" size="14" encoding="base64"><![CDATA[bXlzcWxpX2Nvbm5lY3Q=]]></property><property name="$this" fullname="$this" address="38458224" type="object" classname="osC_Database_mysqli" children="1" numchildren="18" page="0" pagesize="30"><property name="use_transactions" fullname="$this-&gt;use_transactions" facet="public" address="38405544" type="bool"><![CDATA[0]]></property><property name="use_fulltext" fullname="$this-&gt;use_fulltext" facet="public" address="38405576" type="bool"><![CDATA[0]]></property><property name="use_fulltext_boolean" fullname="$this-&gt;use_fulltext_boolean" facet="public" address="38405608" type="bool"><![CDATA[0]]></property><property name="is_connected" fullname="$this-&gt;is_connected" facet="public" address="38458256" type="bool"><![CDATA[0]]></property><property name="link" fullname="$this-&gt;link" facet="public" address="38405096" type="null"></property><property name="error_reporting" fullname="$this-&gt;error_reporting" facet="public" address="38405128" type="bool"><![CDATA[1]]></property><property name="error" fullname="$this-&gt;error" facet="public" address="38405160" type="bool"><![CDATA[0]]></property><property name="error_number" fullname="$this-&gt;error_number" facet="public" address="38405192" type="null"></property><property name="error_query" fullname="$this-&gt;error_query" facet="public" address="38405224" type="null"></property><property name="server" fullname="$this-&gt;server" facet="public" address="38323056" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="username" fullname="$this-&gt;username" facet="public" address="38383224" type="string" size="4" encoding="base64"><![CDATA[cm9vdA==]]></property><property name="password" fullname="$this-&gt;password" facet="public" address="38386624" type="string" size="11" encoding="base64"><![CDATA[YXJwdW5XV1EyMTQ=]]></property><property name="debug" fullname="$this-&gt;debug" facet="public" address="38405352" type="bool"><![CDATA[0]]></property><property name="number_of_queries" fullname="$this-&gt;number_of_queries" facet="public" address="38405384" type="int"><![CDATA[0]]></property><property name="time_of_queries" fullname="$this-&gt;time_of_queries" facet="public" address="38405416" type="int"><![CDATA[0]]></property><property name="nextID" fullname="$this-&gt;nextID" facet="public" address="38405448" type="null"></property><property name="logging_transaction" fullname="$this-&gt;logging_transaction" facet="public" address="38405480" type="bool"><![CDATA[0]]></property><property name="logging_transaction_action" fullname="$this-&gt;logging_transaction_action" facet="public" address="38405512" type="bool"><![CDATA[0]]></property></property></response>

<- context_get -i 51 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="51" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="38184032" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="language" fullname="$_COOKIE[&#39;language&#39;]" address="38184376" type="string" size="5" encoding="base64"><![CDATA[cnVfUlU=]]></property></property><property name="$_ENV" fullname="$_ENV" address="38184696" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_FILES" fullname="$_FILES" address="38184560" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_GET" fullname="$_GET" address="38183040" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_POST" fullname="$_POST" address="38183312" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_REQUEST" fullname="$_REQUEST" address="38184832" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="38203184" type="array" children="1" numchildren="31" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="38185392" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="38185776" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="38186104" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="38186424" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="38186656" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="38186896" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="38187128" type="string" size="14" encoding="base64"><![CDATA[bGFuZ3VhZ2U9cnVfUlU=]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="38187720" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="38188016" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="38188264" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="38188568" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="38188768" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="38189000" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="38189264" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="38189496" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="38189720" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="38190064" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="38190424" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="38190720" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="38190992" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="38203216" type="string" size="62" encoding="base64"><![CDATA[QzpcVXNlcnNcQU1va3J5c2hldlxEb2N1bWVudHNcYXBhY2hlXGh0ZG9jc1x0ZXN0c2hvcFxpbmRleC5waHA=]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="38191400" type="string" size="5" encoding="base64"><![CDATA[NTA3NTE=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="38191648" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="38191856" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="38192080" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="38192368" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="38192696" type="string" size="56" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocD9YREVCVUdfU0VTU0lPTl9TVEFSVD1uZXRiZWFucy14ZGVidWc=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="38192936" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="38193176" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="38193296" type="float"><![CDATA[1337610523.172]]></property></property><property name="$_SESSION" fullname="$_SESSION" address="38234080" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="messageToStack" fullname="$_SESSION[&#39;messageToStack&#39;]" address="38233656" type="array" children="0" numchildren="0" page="0" pagesize="30"></property></property><property name="$GLOBALS" fullname="$GLOBALS" address="38214048" type="array" children="1" numchildren="12" page="0" pagesize="30"><property name="_GET" fullname="$GLOBALS[&#39;_GET&#39;]" address="38183040" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$GLOBALS[&#39;_GET&#39;][&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="_POST" fullname="$GLOBALS[&#39;_POST&#39;]" address="38183312" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="_COOKIE" fullname="$GLOBALS[&#39;_COOKIE&#39;]" address="38184032" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="language" fullname="$GLOBALS[&#39;_COOKIE&#39;][&#39;language&#39;]" address="38184376" type="string" size="5" encoding="base64"><![CDATA[cnVfUlU=]]></property></property><property name="_FILES" fullname="$GLOBALS[&#39;_FILES&#39;]" address="38184560" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="_ENV" fullname="$GLOBALS[&#39;_ENV&#39;]" address="38184696" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="_REQUEST" fullname="$GLOBALS[&#39;_REQUEST&#39;]" address="38184832" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$GLOBALS[&#39;_REQUEST&#39;][&#39;XDEBUG_SESSION_START&#39;]" address="38183512" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="_SERVER" fullname="$GLOBALS[&#39;_SERVER&#39;]" address="38203184" type="array" children="1" numchildren="31" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_HOST&#39;]" address="38185392" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_USER_AGENT&#39;]" address="38185776" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_ACCEPT&#39;]" address="38186104" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="38186424" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_ACCEPT_ENCODING&#39;]" address="38186656" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_CONNECTION&#39;]" address="38186896" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_COOKIE" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;HTTP_COOKIE&#39;]" address="38187128" type="string" size="14" encoding="base64"><![CDATA[bGFuZ3VhZ2U9cnVfUlU=]]></property><property name="PATH" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;PATH&#39;]" address="38187720" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SystemRoot&#39;]" address="38188016" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;COMSPEC&#39;]" address="38188264" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;PATHEXT&#39;]" address="38188568" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;WINDIR&#39;]" address="38188768" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_SIGNATURE&#39;]" address="38189000" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_SOFTWARE&#39;]" address="38189264" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_NAME&#39;]" address="38189496" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_ADDR&#39;]" address="38189720" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_PORT&#39;]" address="38190064" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;REMOTE_ADDR&#39;]" address="38190424" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;DOCUMENT_ROOT&#39;]" address="38190720" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_ADMIN&#39;]" address="38190992" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SCRIPT_FILENAME&#39;]" address="38203216" type="string" size="62" encoding="base64"><![CDATA[QzpcVXNlcnNcQU1va3J5c2hldlxEb2N1bWVudHNcYXBhY2hlXGh0ZG9jc1x0ZXN0c2hvcFxpbmRleC5waHA=]]></property><property name="REMOTE_PORT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;REMOTE_PORT&#39;]" address="38191400" type="string" size="5" encoding="base64"><![CDATA[NTA3NTE=]]></property><property name="GATEWAY_INTERFACE" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;GATEWAY_INTERFACE&#39;]" address="38191648" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SERVER_PROTOCOL&#39;]" address="38191856" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;REQUEST_METHOD&#39;]" address="38192080" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;QUERY_STRING&#39;]" address="38192368" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;REQUEST_URI&#39;]" address="38192696" type="string" size="56" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocD9YREVCVUdfU0VTU0lPTl9TVEFSVD1uZXRiZWFucy14ZGVidWc=]]></property><property name="SCRIPT_NAME" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;SCRIPT_NAME&#39;]" address="38192936" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="PHP_SELF" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;PHP_SELF&#39;]" address="38193176" type="string" size="19" encoding="base64"><![CDATA[L3Rlc3RzaG9wL2luZGV4LnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$GLOBALS[&#39;_SERVER&#39;][&#39;REQUEST_TIME_FLOAT&#39;]" address="38193296" type="float"><![CDATA[1337610523.172]]></property></property><property name="request_type" fullname="$GLOBALS[&#39;request_type&#39;]" address="38214112" type="string" size="6" encoding="base64"><![CDATA[Tk9OU1NM]]></property><property name="GLOBALS" fullname="$GLOBALS[&#39;GLOBALS&#39;]" address="38214048" type="array" children="1" recursive="1"></property><property name="_SESSION" fullname="$GLOBALS[&#39;_SESSION&#39;]" address="38234080" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="messageToStack" fullname="$GLOBALS[&#39;_SESSION&#39;][&#39;messageToStack&#39;]" address="38233656" type="array" children="0" numchildren="0" page="0" pagesize="30"></property></property><property name="osC_MessageStack" fullname="$GLOBALS[&#39;osC_MessageStack&#39;]" address="38229816" type="object" classname="osC_MessageStack" children="1" numchildren="1" page="0" pagesize="30"><property name="_data" fullname="$GLOBALS[&#39;osC_MessageStack&#39;]-&gt;_data" facet="private" address="38233656" type="array" children="0" numchildren="0" page="0" pagesize="30"></property></property><property name="osC_Cache" fullname="$GLOBALS[&#39;osC_Cache&#39;]" address="38232952" type="object" classname="osC_Cache" children="1" numchildren="2" page="0" pagesize="30"><property name="_data" fullname="$GLOBALS[&#39;osC_Cache&#39;]-&gt;_data" facet="private" address="38227760" type="null"></property><property name="_key" fullname="$GLOBALS[&#39;osC_Cache&#39;]-&gt;_key" facet="private" address="38227688" type="null"></property></property></property></response>

<- step_into -i 52
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="52" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="39"></xdebug:message></response>

<- stack_get -i 53
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="53"><stack where="osC_Database_mysqli-&gt;connect" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="39"></stack><stack where="osC_Database_mysqli-&gt;__construct" level="1" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database/mysqli.php" lineno="26"></stack><stack where="osC_Database::connect" level="2" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/classes/database.php" lineno="36"></stack><stack where="require" level="3" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/includes/application_top.php" lineno="75"></stack><stack where="{main}" level="4" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/testshop/index.php" lineno="17"></stack></response>

<- context_names -i 54
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="54"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 55 -c 0
Log opened at 2012-05-21 14:28:53
I: Connecting to configured address/port: 127.0.0.1:9000.
E: Could not connect to client. :-(
Log closed at 2012-05-21 14:28:54

Log opened at 2012-05-21 14:28:55
I: Connecting to configured address/port: 127.0.0.1:9000.
E: Could not connect to client. :-(
Log closed at 2012-05-21 14:28:56

xdebug.log (45,599 bytes)   

amokryshev

2012-05-21 14:45

reporter   ~0002182

My begin of message was br cutted by this site? i typed:

i trying to debug script like this:

function connect() {
              $connect_function = 'mysqli_connect';
      if ($this->link = @$connect_function($this->server, $this->username, $this->password)) {
                $this->setConnected(true);
        @mysqli_set_charset($this->link, "utf8");
        if ( version_compare($this->getServerVersion(), '5.0.2') >= 0 ) {
          $this->simpleQuery('set session sql_mode="STRICT_ALL_TABLES"');
        }
        return true;
      } else {
        $this->setError(mysqli_connect_error(), mysqli_connect_errno());
        return false;
      }
    }

and get socket exception on:

$this->link = @$connect_function($this->server, $this->username, $this->password)

derick

2012-05-21 14:50

administrator   ~0002183

Can you reproduce this with a small (self-contained) script as well? If so, could you provide:

- that script
- the remote log that shows the error from that script

amokryshev

2012-05-22 17:27

reporter   ~0002186

Hi, Derek! thanks for your help!

 here is it:

<!--
To change this template, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    
    <body>
<?php
   $link = @mysqli_connect("localhost", "root", "XXXXXX");
   echo "Status" + $link;
   
?>
    </body>
</html>

script was crush after $link = @mysqli_connect("localhost", "root", "XXXXXX");

fresh xdebug.log and messages.log in attachment

Best Regards, Alexander

amokryshev

2012-05-22 17:28

reporter  

xdebug 22052012.log (20,939 bytes)   
Log opened at 2012-05-22 17:23:49
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" language="PHP" protocol_version="1.0" appid="2004" idekey="netbeans-xdebug"><engine version="2.2.0"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2012 by Derick Rethans]]></copyright></init>

<- feature_set -i 214 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="214" feature="show_hidden" success="1"></response>

<- feature_set -i 215 -n max_depth -v 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="215" feature="max_depth" success="1"></response>

<- feature_set -i 216 -n max_children -v 30
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="216" feature="max_children" success="1"></response>

<- feature_get -i 217 -n max_data
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="217" feature_name="max_data" supported="1"><![CDATA[1024]]></response>

<- stdout -i 218 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="218" success="1"></response>

<- eval -i 219 -- KGlzc2V0KCRfU0VSVkVSWydTU0wnXSkgPyAnaHR0cHMnIDogJ2h0dHAnKS4nOi8vJy4kX1NFUlZF

UlsnU0VSVkVSX05BTUUnXS4kX1NFUlZFUlsnUkVRVUVTVF9VUkknXQ==
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="219"><property address="36370992" type="string" size="74" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsaG9zdC94ZGVidWd0ZXN0L2luZGV4LnBocD9YREVCVUdfU0VTU0lPTl9TVEFSVD1uZXRiZWFucy14ZGVidWc=]]></property></response>

<- step_into -i 220
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="220" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="13"></xdebug:message></response>

<- stack_get -i 221
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="221"><stack where="{main}" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="13"></stack></response>

<- context_names -i 222
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="222"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 223 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="223" context="0"><property name="$link" fullname="$link" type="uninitialized"></property></response>

<- context_get -i 224 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="224" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="37856352" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_ENV" fullname="$_ENV" address="37856624" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_FILES" fullname="$_FILES" address="37856488" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_GET" fullname="$_GET" address="37855360" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="37855832" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_POST" fullname="$_POST" address="37855632" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_REQUEST" fullname="$_REQUEST" address="37856760" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="37855832" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="37857008" type="array" children="1" numchildren="30" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="37857344" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="37857728" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="37858056" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="37858376" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="37858608" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="37858848" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="37859448" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="37859672" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="37859960" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="37860336" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="37860536" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="37860768" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="37860992" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="37861224" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="37861448" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="37861656" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="37862016" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="37862448" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="37862720" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="37863072" type="string" size="64" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcy94ZGVidWd0ZXN0L2luZGV4LnBocA==]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="37863288" type="string" size="5" encoding="base64"><![CDATA[NTg0Njg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="37863536" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="37863744" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="37863968" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="37864256" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="37864440" type="string" size="58" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPW5ldGJlYW5zLXhkZWJ1Zw==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="37864680" type="string" size="21" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="37864920" type="string" size="21" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhw]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="37865040" type="float"><![CDATA[1337707429.29]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="37865008" type="int"><![CDATA[1337707429]]></property></property></response>

<- step_into -i 225
-> <stream xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" type="stdout" encoding="base64"><![CDATA[PCEtLQpUbyBjaGFuZ2UgdGhpcyB0ZW1wbGF0ZSwgY2hvb3NlIFRvb2xzIHwgVGVtcGxhdGVzCmFuZCBvcGVuIHRoZSB0ZW1wbGF0ZSBpbiB0aGUgZWRpdG9yLgotLT4KPCFET0NUWVBFIGh0bWw+CjxodG1sPgogICAgPGhlYWQ+CiAgICAgICAgPG1ldGEgaHR0cC1lcXVpdj0iQ29udGVudC1UeXBlIiBjb250ZW50PSJ0ZXh0L2h0bWw7IGNoYXJzZXQ9VVRGLTgiPgogICAgICAgIDx0aXRsZT48L3RpdGxlPgogICAgPC9oZWFkPgogICAgCiAgICA8Ym9keT4K]]></stream>

-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="225" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="14"></xdebug:message></response>

<- stack_get -i 226
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="226"><stack where="{main}" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="14"></stack></response>

<- context_names -i 227
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="227"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 228 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="228" context="0"><property name="$link" fullname="$link" type="uninitialized"></property></response>

<- context_get -i 229 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="229" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="37856352" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_ENV" fullname="$_ENV" address="37856624" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_FILES" fullname="$_FILES" address="37856488" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_GET" fullname="$_GET" address="37855360" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_GET[&#39;XDEBUG_SESSION_START&#39;]" address="37855832" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_POST" fullname="$_POST" address="37855632" type="array" children="0" numchildren="0" page="0" pagesize="30"></property><property name="$_REQUEST" fullname="$_REQUEST" address="37856760" type="array" children="1" numchildren="1" page="0" pagesize="30"><property name="XDEBUG_SESSION_START" fullname="$_REQUEST[&#39;XDEBUG_SESSION_START&#39;]" address="37855832" type="string" size="15" encoding="base64"><![CDATA[bmV0YmVhbnMteGRlYnVn]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="37857008" type="array" children="1" numchildren="30" page="0" pagesize="30"><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="37857344" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="37857728" type="string" size="65" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBydjoxMi4wKSBHZWNrby8yMDEwMDEwMSBGaXJlZm94LzEyLjA=]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="37858056" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="37858376" type="string" size="35" encoding="base64"><![CDATA[cnUtcnUscnU7cT0wLjgsZW4tdXM7cT0wLjUsZW47cT0wLjM=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="37858608" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="37858848" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="37859448" type="string" size="198" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMjtDOlxXaW5kb3dzO0M6XFdpbmRvd3NcU3lzdGVtMzJcV2JlbTtDOlxXaW5kb3dzXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFByb2dyYW0gRmlsZXNcQVRJIFRlY2hub2xvZ2llc1xBVEkuQUNFXENvcmUtU3RhdGljO0M6XFByb2dyYW0gRmlsZXNcTXlTUUxcTXlTUUwgU2VydmVyIDUuNVxiaW47]]></property><property name="SystemRoot" fullname="$_SERVER[&#39;SystemRoot&#39;]" address="37859672" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="COMSPEC" fullname="$_SERVER[&#39;COMSPEC&#39;]" address="37859960" type="string" size="27" encoding="base64"><![CDATA[QzpcV2luZG93c1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="PATHEXT" fullname="$_SERVER[&#39;PATHEXT&#39;]" address="37860336" type="string" size="53" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M=]]></property><property name="WINDIR" fullname="$_SERVER[&#39;WINDIR&#39;]" address="37860536" type="string" size="10" encoding="base64"><![CDATA[QzpcV2luZG93cw==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="37860768" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="37860992" type="string" size="31" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoV2luMzIpIFBIUC81LjQuMw==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="37861224" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="37861448" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="37861656" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="37862016" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="37862448" type="string" size="43" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="37862720" type="string" size="31" encoding="base64"><![CDATA[YWRtaW5AQU1va3J5c2hldi1uYi5LT1JVU0RPTUFJTg==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="37863072" type="string" size="64" encoding="base64"><![CDATA[QzovVXNlcnMvQU1va3J5c2hldi9Eb2N1bWVudHMvYXBhY2hlL2h0ZG9jcy94ZGVidWd0ZXN0L2luZGV4LnBocA==]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="37863288" type="string" size="5" encoding="base64"><![CDATA[NTg0Njg=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="37863536" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="37863744" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="37863968" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="37864256" type="string" size="36" encoding="base64"><![CDATA[WERFQlVHX1NFU1NJT05fU1RBUlQ9bmV0YmVhbnMteGRlYnVn]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="37864440" type="string" size="58" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhwP1hERUJVR19TRVNTSU9OX1NUQVJUPW5ldGJlYW5zLXhkZWJ1Zw==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="37864680" type="string" size="21" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="37864920" type="string" size="21" encoding="base64"><![CDATA[L3hkZWJ1Z3Rlc3QvaW5kZXgucGhw]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="37865040" type="float"><![CDATA[1337707429.29]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="37865008" type="int"><![CDATA[1337707429]]></property></property></response>

<- step_into -i 230
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="230" status="break" reason="ok"><xdebug:message filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="15"></xdebug:message></response>

<- stack_get -i 231
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="231"><stack where="{main}" level="0" type="file" filename="file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php" lineno="15"></stack></response>

<- context_names -i 232
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="232"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 233 -c 0
Log opened at 2012-05-22 17:23:55
I: Connecting to configured address/port: 127.0.0.1:9000.
E: Could not connect to client. :-(
Log closed at 2012-05-22 17:23:56

xdebug 22052012.log (20,939 bytes)   

amokryshev

2012-05-22 17:29

reporter  

messages 22052012.log (2,143 bytes)   
INFO [org.netbeans.core.multiview.TabsComponent]: No editor pane in org.netbeans.core.spi.multiview.text.MultiViewCloneableEditor[messages.log,0,0,0x0,invalid,alignmentX=0.0,alignmentY=0.0,border=,flags=256,maximumSize=,minimumSize=java.awt.Dimension[width=10,height=10],preferredSize=]
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\xdebugtest\index.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\xdebugtest\index.php
INFO [org.netbeans.modules.php.dbgp.URIMapper]: class org.netbeans.modules.php.dbgp.URIMapper$1: file:///C:/Users/AMokryshev/Documents/apache/htdocs/xdebugtest/index.php -> C:\Users\AMokryshev\Documents\apache\htdocs\xdebugtest\index.php
INFO [org.netbeans.modules.php.dbgp.DebugSession]
java.net.SocketException: Connection reset
	at java.net.SocketInputStream.read(SocketInputStream.java:189)
	at java.net.SocketInputStream.read(SocketInputStream.java:121)
	at java.net.SocketInputStream.read(SocketInputStream.java:203)
	at org.netbeans.modules.php.dbgp.packets.DbgpMessage.getDataSize(DbgpMessage.java:294)
	at org.netbeans.modules.php.dbgp.packets.DbgpMessage.create(DbgpMessage.java:126)
	at org.netbeans.modules.php.dbgp.DebugSession.receiveData(DebugSession.java:265)
	at org.netbeans.modules.php.dbgp.DebugSession.sendCommands(DebugSession.java:213)
[catch] at org.netbeans.modules.php.dbgp.DebugSession.run(DebugSession.java:143)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
messages 22052012.log (2,143 bytes)   

amokryshev

2012-05-23 13:58

reporter   ~0002188

Derek, do you able to repeat my problem? Can i help you deside my problem more fast?

derick

2012-05-28 08:26

administrator   ~0002202

I think I've just pushed a fix to github for this issue. Could you please try it?

amokryshev

2012-05-29 07:25

reporter   ~0002212

hi Derik! I'm newbe in php. am i right understand that i need to get xdebug sources, put file from github there and compile results? i try to do this, but in my manual require the phpize.js for compiling xdebug. Wh?n i trying to compile php-dev version, it is compilling with out errors, but when i start phpize - it return error like "wrong handle in line 222". ?ould you give me some advice or link to manual for compiling xdebug?

derick

2012-05-29 07:47

administrator   ~0002213

Oh, you are on Windows. Then just wait until the next release.

derick

2012-05-29 07:47

administrator   ~0002214

Fixed for Xdebug 2.1.1. Thanks for your report!

Issue History

Date Modified Username Field Change
2012-05-21 14:42 amokryshev New Issue
2012-05-21 14:42 amokryshev File Added: xdebug.log
2012-05-21 14:45 amokryshev Note Added: 0002182
2012-05-21 14:50 derick Note Added: 0002183
2012-05-21 14:50 derick Assigned To => derick
2012-05-21 14:50 derick Status new => feedback
2012-05-22 17:27 amokryshev Note Added: 0002186
2012-05-22 17:27 amokryshev Status feedback => assigned
2012-05-22 17:28 amokryshev File Added: xdebug 22052012.log
2012-05-22 17:29 amokryshev File Added: messages 22052012.log
2012-05-23 13:58 amokryshev Note Added: 0002188
2012-05-28 08:26 derick Note Added: 0002202
2012-05-28 08:26 derick Status assigned => feedback
2012-05-29 07:25 amokryshev Note Added: 0002212
2012-05-29 07:25 amokryshev Status feedback => assigned
2012-05-29 07:47 derick Note Added: 0002213
2012-05-29 07:47 derick Note Added: 0002214
2012-05-29 07:47 derick Status assigned => closed
2012-05-29 07:47 derick Resolution open => fixed
2012-05-29 07:47 derick Fixed in Version => 2.2.1
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized